---
title: "Knative at KubeCon’19 Europe"
type: "blog"
date: 2019-05-13
linkTitle: "Knative at KubeCon’19 Europe"
description: "Knative talks at KubeCon/CloudNativeCon 2019 Europe"
---

There's only a week until
[KubeCon + CloudNativeCon Europe 2019](https://events.linuxfoundation.org/events/kubecon-cloudnativecon-europe-2019/)
kicks off in Barcelona, Spain. We wanted to share with you a few of the Knative
talks you can attend at the conference to learn more about the Knative project,
its progress in the past year and momentum.

## Monday, May 20 (Pre-conference)

Join us for the day-long
[Serverless Practitioners Summit](https://kccnceu19.sched.com/event/MQfW/serverless-practitioners-summit-hosted-by-cncf-additional-registration-fee-required)
pre-conference event.

**Note:** This event
[requires pre-registration](https://www.cvent.com/events/kubecon-cloudnativecon-europe-2019/registration-0260af87ce634c2a8bf0aa2e3b32347f.aspx),
and if you have already registered to KubeCon, you can modify your registration
to participate in this pre-conference event.

In the morning, Mark Chmarny ([mchmarny@](https://twitter.com/mchmarny)) will
cover the momentum and growth of the Knative project since its launch a year
ago.

In the afternoon, we have a 3-hour Knative track (**2-5pm**) full of demos
illustrating how Knative helps developers and operators in building, deploying,
and managing modern applications on Kubernetes.

- **Introduction to Knative Serving:** What the serving stack of Knative offers
  on top of Kubernetes and how it provides the building blocks for modern
  development platform
- **Knative the Easy Way:** How Google uses Knative and Knative API to build and
  offer Cloud Run and Cloud Run on GKE products.
- **Knative Eventing:** How the eventing API helps routing events from various
  configurable sources to the serving stack, and an overview of what's involved
  in creating new Event Sources.
- **Knative Pluggability:** How can the operators customize and extend Knative
  to provide their developers and infrastructure tailored to their needs.

## Wednesday, May 22

- 4:45-5:20pm:
  [Extending Knative for Fun and Profit](https://kccnceu19.sched.com/event/MPaK/extending-knative-for-fun-and-profit-matt-moore-ville-aikas-google)
  – Matt Moore ([@mattomata](https://twitter.com/mattomata)) & Ville Aikas
  ([@AikasVille](https://twitter.com/aikasville?lang=en)), Google

## Thursday, May 23

- 3:55-4:30pm:
  [Istio on Knative Lessons Learned: How Istio is Fit for Serverless Platform](https://kccnceu19.sched.com/event/MPeL/istio-on-knative-lessons-learned-how-istio-is-fit-for-serverless-platform-ying-chun-guo-iris-ding-ibm)
  – Ying Chun Guo & Iris Ding, IBM

We are looking forward to seeing you in Barcelona next week, hope you enjoy
delicious tapas and some educational and entertaining Knative talks. Please join
us in our [community channels](/community/) if you're not able to attend
KubeCon'19 EU.
